Help & Support

Browser Requirements

The myCore Web-based application and Support Site Web pages require a minimum (or higher) version of one of the Web browsers listed below or any other Web browser that is fully compatible with these browsers.

 

• Mozilla Firefox 3.5.x + for Windows, Mac or Linux

• Google Chrome 10 + for Windows, Mac or Linux

• Internet Explorer 7/8/9 for Windows

• Opera 10.x +

• Amazon Silk

• Safari 4.x + for Mac or iPad (with iOS 5 or greater)

 

Additional Information:

If you choose to use a browser other than the ones listed above, the application’s pages may not display properly, and you may encounter problems using the application that myCore support technicians may not be able to resolve.

 

Some pages of the myCore Web-based application require the Web browser to support Javascript and to accept session-based cookies. By default, most major Web browsers are configured to handle these requirements. If you need help confirming that the correct settings are in place, please contact your Web browser’s software manufacturer or your Internet Service Provider.

 

How do I update my browser?

The hyperlinks below with help you update your browser. Since older computers may not have enough memory to support newer browsers, read your system requirements carefully before updating. Updates can help correct issues with older versions of the browser and add new or enhanced features. Click on the appropriate link below to download the latest browser versions.

 

Internet Explorer: http://www.microsoft.com/windows/ie/download/default.asp

Firefox: http://www.mozilla.com/firefox/

Safari: http://www.apple.com/safari/download/